For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList group quote intents
      • POSTCreate a group quote intent
      • GETRetrieve a group quote intent
      • GETList requirements for a group quote intent
      • GETRetrieve the quote for a group quote intent
      • POSTReject a group quote intent
    • API Errors
Get access
LogoLogo
API ReferenceGroup Quote Intents

List group quote intents

GET
/group_quote_intents
GET
/group_quote_intents
$curl https://test.api.kota.io/group_quote_intents \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "items": [
3 {
4 "id": "gqi_7f9a2c4d8e1b4a3f9d6c7e8b0a2d1f3c",
5 "group_id": "gr_5d8f7a6b4c3e2f1a9b0d7c6e5f4a3b2c",
6 "plan_id": "pl_9a8b7c6d5e4f3a2b1c0d9e8f7a6b5c4d",
7 "status": "processing",
8 "consent_links": [
9 {
10 "type": "terms_of_business",
11 "url": "https://example.com/consents/terms-of-business-v2.pdf",
12 "version": "v2.0"
13 }
14 ],
15 "disclosures": [
16 {
17 "category": "regulatory",
18 "type": "intermediary_role",
19 "text": "This intermediary acts as a broker and does not underwrite the insurance policies."
20 }
21 ],
22 "object": "group_quote_intent"
23 }
24 ],
25 "page": 1,
26 "page_size": 10,
27 "total_count": 57,
28 "has_next_page": true,
29 "has_previous_page": false
30}

Returns a paginated list of group_quote_intent’s. The results are returned sorted by creation date, with the most recent appearing first.

Previous

List requirements for a group policy intent

Next

Create a group quote intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Query parameters

group_idstringOptionalformat: "gr_.+"
Filter by group ID
plan_idstringOptionalformat: "pl_.+"
Filter by plan ID
statusstringOptional

Multiple values can be provided by separating them with a comma. Allowed values are: processing, action_required, awaiting_quote, quote_available, rejected, rejected_by_insurer, quote_expired.

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page